From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyproject-fmt/
Date: Wed, 19 Feb 2025 07:56:38 +0000 (UTC) [thread overview]
Message-ID: <1739951785.f75b57d95d98627244206965fc0dc778da3cdc06.mgorny@gentoo> (raw)
commit: f75b57d95d98627244206965fc0dc778da3cdc06
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 19 06:27:23 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 19 07:56:25 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f75b57d9
dev-python/pyproject-fmt: Bump to 2.5.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyproject-fmt/Manifest | 1 +
.../pyproject-fmt/pyproject-fmt-2.5.1.ebuild | 165 +++++++++++++++++++++
2 files changed, 166 insertions(+)
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 3967ec2b4a67..bbdf9f0bb4db 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -57,6 +57,7 @@ DIST pyo3-ffi-0.22.5.crate 69354 BLAKE2B 91dfb41a24cb2b12bf54d6e54949a381ba6635e
DIST pyo3-macros-0.22.5.crate 8186 BLAKE2B 78f0c348fec0878ce4c873af3d4c438ccf02a5e971f2fd8b1cc9ea40a3aa8396dc6ea11e4d421a8b8c5eff5752182623632d92403ba6c5565b6b71b386768b04 SHA512 cfd848fb82f183290791930ca2e43a0db63de4f23436c1f1d3c688efdcbba1462346177c5956817418a0f0ea172b1039f5408a02a05ff03671dbb025f0697076
DIST pyo3-macros-backend-0.22.5.crate 66308 BLAKE2B d30c021da6b013abb8bbc8d55f110f3394c79d85f02506d7a42bba256afd639647210ed66bae289f4dfbd6d060995c0365b278749798b302eb89f1b09c074ab3 SHA512 8a79f9c6f948375e20804d2bc4b98d9fd7d39f99a936afb1d9a0fab599a3ad07e95bc985aa51b0ab8410b6b4f5ebaa2aa347013ae722a2b3f4c51f318415d472
DIST pyproject_fmt-2.5.0.tar.gz 41799 BLAKE2B a3edc7f29e1d529ee5d0ac06ca0deafd9923c4133d8842dd6f7dd15e844030e5b6bc06665af2f3cd57b02f9cd640e51b7217de7e8cd974aed05d8cb64e034ff2 SHA512 2032bd7639afab2449f39f1f572a7283ee9e7d31f67a7c41c2615023a5a1a86fb441fe163dcfe393892171c6042dd216d9f8811a0ee5660b9424428ff3f387ca
+DIST pyproject_fmt-2.5.1.tar.gz 42206 BLAKE2B f15bf470f6c05d4c30f5a93fd89da299c7ac6adb54d97cab86ccb91a2b1ed49c6474e7b40ba04d53d8cf31d2a5a14171c11cd2ca6c2a99ad3809c1f337c48247 SHA512 a6ae3347e53ea6581e3847caa831182123864544dc58fa09e11553f213401d46f1936d850879c00e7d8b5b0bc3add074e9b2187b27601fea01221270f3bf7a65
DIST quote-1.0.37.crate 28558 BLAKE2B a7d007a69e619f853af94333e1066bb767013312bd99f147b1b153611242bcfa9c76768b1ba47278589db309a9acd61a772c8ec3b567e48439bb9d831f9326d4 SHA512 c4ed21428c1f89cf22b85d80720a7869831a9c129d694617b0ce8c258278114ab98846f3f653abf736d1c86bc9224bbd695e9a7b06aa3adf292d02e1ef14cc05
DIST regex-1.11.1.crate 254170 BLAKE2B 5cf41012fc2ba8a006c0eb4a922cbbf1614bf300be361c9e2d98956a9a5e9b140e37bea09132fab7bfb633d4439158723624bcf45e8c619c4061b399253c1b82 SHA512 d065f6dc405771518260425f39a5eaaf8cab62e78c91ceed3b3994a9a121674d2484cadaaf816bdad89c87a40550d57b66a3d9de6618a7119a658301ce7e67d8
DIST regex-automata-0.4.8.crate 617784 BLAKE2B 7535c79f6ddf1b1225e21171921594dcf32fc3afd47519d2067b2047b19070cb7e6fdfd1563b884fec6f91dd568522fc95d85bf095c11f8c02daeac128c45020 SHA512 278e3e2ab230ed5fa7d4837e8ea879fae68ebf35c2da5cc3a67f46b7d593abbcf71e6326a0cf34e38edc0f3f2166ff42a4fcc17a400d9604429aa5b4be075a3f
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.5.1.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-2.5.1.ebuild
new file mode 100644
index 000000000000..748252d78955
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.5.1.ebuild
@@ -0,0 +1,165 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+CRATES="
+ ahash@0.8.11
+ aho-corasick@1.1.3
+ any_ascii@0.1.7
+ arc-swap@1.7.1
+ autocfg@1.4.0
+ beef@0.5.2
+ bstr@1.10.0
+ cfg-if@1.0.0
+ countme@3.0.1
+ deranged@0.3.11
+ either@1.13.0
+ equivalent@1.0.1
+ fnv@1.0.7
+ form_urlencoded@1.2.1
+ futures-channel@0.3.31
+ futures-core@0.3.31
+ futures-executor@0.3.31
+ futures-io@0.3.31
+ futures-macro@0.3.31
+ futures-sink@0.3.31
+ futures-task@0.3.31
+ futures-timer@3.0.3
+ futures-util@0.3.31
+ futures@0.3.31
+ getrandom@0.2.15
+ glob@0.3.1
+ globset@0.4.15
+ hashbrown@0.14.5
+ hashbrown@0.15.0
+ heck@0.5.0
+ idna@0.5.0
+ indexmap@2.6.0
+ indoc@2.0.5
+ itertools@0.10.5
+ itoa@1.0.11
+ lexical-sort@0.3.1
+ libc@0.2.161
+ log@0.4.22
+ logos-derive@0.12.1
+ logos@0.12.1
+ memchr@2.7.4
+ memoffset@0.9.1
+ num-conv@0.1.0
+ once_cell@1.20.2
+ pep440_rs@0.7.1
+ pep508_rs@0.8.1
+ percent-encoding@2.3.1
+ pin-project-lite@0.2.15
+ pin-utils@0.1.0
+ portable-atomic@1.9.0
+ powerfmt@0.2.0
+ proc-macro-crate@3.2.0
+ proc-macro2@1.0.89
+ pyo3-build-config@0.22.5
+ pyo3-ffi@0.22.5
+ pyo3-macros-backend@0.22.5
+ pyo3-macros@0.22.5
+ pyo3@0.22.5
+ quote@1.0.37
+ regex-automata@0.4.8
+ regex-syntax@0.6.29
+ regex-syntax@0.8.5
+ regex@1.11.1
+ relative-path@1.9.3
+ rowan@0.15.16
+ rstest@0.23.0
+ rstest_macros@0.23.0
+ rustc-hash@1.1.0
+ rustc_version@0.4.1
+ ryu@1.0.18
+ semver@1.0.23
+ serde@1.0.214
+ serde_derive@1.0.214
+ serde_json@1.0.132
+ slab@0.4.9
+ syn@1.0.109
+ syn@2.0.85
+ taplo@0.13.2
+ target-lexicon@0.12.16
+ text-size@1.1.1
+ thiserror-impl@1.0.65
+ thiserror@1.0.65
+ time-core@0.1.2
+ time-macros@0.2.18
+ time@0.3.36
+ tinyvec@1.8.0
+ tinyvec_macros@0.1.1
+ toml_datetime@0.6.8
+ toml_edit@0.22.22
+ tracing-attributes@0.1.27
+ tracing-core@0.1.32
+ tracing@0.1.40
+ unicode-bidi@0.3.17
+ unicode-ident@1.0.13
+ unicode-normalization@0.1.24
+ unicode-width@0.2.0
+ unindent@0.2.3
+ unscanny@0.1.0
+ url@2.5.2
+ urlencoding@2.1.3
+ version_check@0.9.5
+ wasi@0.11.0+wasi-snapshot-preview1
+ winnow@0.6.20
+ zerocopy-derive@0.7.35
+ zerocopy@0.7.35
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions ISC MIT Unicode-DFS-2016
+ || ( Apache-2.0 BSD-2 )
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ ~dev-python/toml-fmt-common-1.0.1[${PYTHON_USEDEP}]
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.10[${PYTHON_USEDEP}]
+ dev-python/tox
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/pyproject_fmt/_lib.*.so"
+
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -i -e '/strip/d' pyproject.toml || die
+}
+
+python_test_all() {
+ # default features cause linking errors because they make pyo3
+ # wrongly assume it's compiling a Python extension
+ # https://github.com/tox-dev/toml-fmt/issues/23
+ cargo_src_test --no-default-features
+}
next reply other threads:[~2025-02-19 7:56 UTC|newest]
Thread overview: 177+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-19 7:56 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 16:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyproject-fmt/ Michał Górny
2025-03-08 16:42 Arthur Zamarin
2025-03-08 13:08 Arthur Zamarin
2025-03-08 12:34 Jakov Smolić
2025-03-08 12:22 Arthur Zamarin
2025-03-08 12:16 Sam James
2025-03-08 11:57 Arthur Zamarin
2025-03-08 11:01 Arthur Zamarin
2025-01-06 11:46 Michał Górny
2025-01-06 4:00 WANG Xuerui
2024-12-16 7:51 Arthur Zamarin
2024-12-09 19:41 Arthur Zamarin
2024-12-07 12:03 Sam James
2024-12-07 11:26 Arthur Zamarin
2024-12-07 10:49 Arthur Zamarin
2024-12-07 10:49 Arthur Zamarin
2024-12-07 10:35 Arthur Zamarin
2024-11-23 20:21 Michał Górny
2024-11-23 20:15 Arthur Zamarin
2024-11-23 20:15 Arthur Zamarin
2024-11-23 20:03 Michał Górny
2024-11-23 8:27 Arthur Zamarin
2024-11-05 15:37 Jakov Smolić
2024-11-03 4:40 Sam James
2024-11-02 12:03 Arthur Zamarin
2024-11-02 9:01 Michał Górny
2024-11-02 8:49 Michał Górny
2024-11-02 8:49 Michał Górny
2024-11-02 8:48 Michał Górny
2024-11-02 8:48 Michał Górny
2024-10-31 15:50 Michał Górny
2024-10-18 11:23 Michał Górny
2024-10-18 4:29 Michał Górny
2024-10-17 17:03 Michał Górny
2024-10-17 17:03 Michał Górny
2024-10-15 7:00 Michał Górny
2024-10-12 15:15 Sam James
2024-10-11 3:06 Michał Górny
2024-10-09 6:59 Arthur Zamarin
2024-10-05 9:07 Arthur Zamarin
2024-10-05 9:06 Arthur Zamarin
2024-10-05 8:42 Arthur Zamarin
2024-10-05 8:22 Arthur Zamarin
2024-09-28 14:10 Arthur Zamarin
2024-09-28 12:32 Arthur Zamarin
2024-09-28 11:47 Arthur Zamarin
2024-09-28 10:48 Arthur Zamarin
2024-09-28 10:44 Arthur Zamarin
2024-09-28 10:33 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-09 2:24 Michał Górny
2024-09-01 19:46 Arthur Zamarin
2024-08-17 11:15 Michał Górny
2024-08-17 11:15 Michał Górny
2024-08-17 11:15 Michał Górny
2024-08-17 11:15 Michał Górny
2024-08-17 9:57 Michał Górny
2024-08-09 17:19 Sam James
2024-08-01 1:44 Michał Górny
2024-07-31 5:52 Michał Górny
2024-07-21 0:32 Sam James
2024-07-21 0:32 Sam James
2024-07-20 22:46 Sam James
2024-07-20 22:46 Sam James
2024-07-20 22:34 Sam James
2024-07-04 5:13 Michał Górny
2024-06-08 11:20 Michał Górny
2024-06-08 11:02 Arthur Zamarin
2024-06-08 6:24 Arthur Zamarin
2024-06-05 11:01 Arthur Zamarin
2024-06-05 6:48 Arthur Zamarin
2024-06-05 6:48 Arthur Zamarin
2024-06-05 6:48 Arthur Zamarin
2024-06-01 7:10 Michał Górny
2024-06-01 7:10 Michał Górny
2024-06-01 3:46 Ionen Wolkens
2024-05-21 4:14 Michał Górny
2024-05-21 4:14 Michał Górny
2024-05-16 9:14 Yixun Lan
2024-05-16 3:42 Michał Górny
2024-05-16 3:42 Michał Górny
2024-05-15 2:08 Michał Górny
2024-05-14 9:54 Michał Górny
2024-05-14 6:48 Michał Górny
2024-05-13 17:05 Arthur Zamarin
2024-05-13 11:41 Arthur Zamarin
2024-05-12 3:42 Yixun Lan
2024-05-12 2:25 Michał Górny
2024-05-11 17:02 Michał Górny
2024-05-11 7:31 Arthur Zamarin
2024-05-11 7:28 Arthur Zamarin
2024-05-11 7:13 Arthur Zamarin
2024-05-11 7:12 Arthur Zamarin
2024-05-11 7:12 Arthur Zamarin
2024-05-11 5:38 Michał Górny
2024-05-04 7:43 Michał Górny
2024-05-04 7:17 Arthur Zamarin
2024-04-18 5:34 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:43 Michał Górny
2024-01-29 10:11 Michał Górny
2024-01-29 7:51 Sam James
2024-01-23 4:39 Michał Górny
2024-01-11 4:56 Michał Górny
2023-12-15 11:16 Michał Górny
2023-12-15 11:02 Arthur Zamarin
2023-12-02 7:09 Michał Górny
2023-11-30 5:48 Michał Górny
2023-11-29 10:30 Michał Górny
2023-11-29 10:26 Michał Górny
2023-11-10 4:09 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:10 Arthur Zamarin
2023-11-02 14:28 Michał Górny
2023-10-26 3:12 Michał Górny
2023-10-02 18:35 Arthur Zamarin
2023-09-11 14:17 Michał Górny
2023-09-11 12:35 Arthur Zamarin
2023-08-28 16:53 Michał Górny
2023-08-22 20:01 Michał Górny
2023-08-12 3:27 Michał Górny
2023-08-05 12:01 Michał Górny
2023-08-05 11:38 WANG Xuerui
2023-08-02 18:52 Michał Górny
2023-07-04 2:59 Michał Górny
2023-06-21 4:14 Michał Górny
2023-06-16 3:34 Michał Górny
2023-05-29 5:49 Michał Górny
2023-05-28 23:33 Sam James
2023-05-25 14:49 Michał Górny
2023-05-11 7:09 Michał Górny
2023-04-29 5:20 Michał Górny
2023-04-28 14:49 Arthur Zamarin
2023-04-28 14:47 Arthur Zamarin
2023-04-25 2:02 Michał Górny
2023-03-23 16:36 Michał Górny
2023-03-17 15:58 Michał Górny
2023-03-17 15:54 Arthur Zamarin
2023-02-24 20:04 Michał Górny
2023-02-24 18:12 Arthur Zamarin
2023-02-14 5:08 Michał Górny
2023-02-10 6:52 Michał Górny
2023-02-08 6:27 Michał Górny
2023-01-30 6:59 Michał Górny
2023-01-20 4:50 Michał Górny
2022-12-17 7:08 Michał Górny
2022-12-16 21:16 Arthur Zamarin
2022-11-25 5:14 Michał Górny
2022-11-23 8:41 Michał Górny
2022-09-22 20:20 Michał Górny
2022-09-20 8:49 Agostino Sarubbo
2022-09-20 7:43 Jakov Smolić
2022-09-20 5:43 Michał Górny
2022-09-20 5:43 Michał Górny
2022-09-20 0:07 Sam James
2022-09-20 0:07 Sam James
2022-09-19 20:56 Jakov Smolić
2022-09-19 20:56 Jakov Smolić
2022-09-19 20:56 Jakov Smolić
2022-09-19 20:44 Jakov Smolić
2022-09-18 6:27 Michał Górny
2022-08-13 9:42 Arthur Zamarin
2022-08-13 8:05 Michał Górny
2022-08-05 12:06 Arthur Zamarin
2022-07-30 19:10 WANG Xuerui
2022-07-30 18:11 Arthur Zamarin
2022-07-29 16:38 Arthur Zamarin
2022-07-29 12:25 James Le Cuirot
2022-07-29 11:51 Arthur Zamarin
2022-07-29 10:26 Arthur Zamarin
2022-07-29 7:47 Arthur Zamarin
2022-07-28 14:12 Yixun Lan
2022-07-27 20:09 Sam James
2022-07-27 20:09 Sam James
2022-06-29 6:19 Michał Górny
2022-06-25 5:11 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1739951785.f75b57d95d98627244206965fc0dc778da3cdc06.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox